Name:       js-php-date-formatter
Version:    1.3.4
Release:    1%{?dist}
BuildArch:  noarch

License:    BSD
Summary:    A JS date-time formatting/manipulation library using PHP date-time formats
URL:        https://github.com/kartik-v/php-date-formatter
Source0:    %{url}/archive/v%{version}.tar.gz

BuildRequires: closure-compiler
BuildRequires: web-assets-devel

Requires:      js-jquery
Requires:      web-assets-filesystem


%description
A JavaScript datetime library that allows you to manipulate date/times
using PHP date-time formats in JavaScript. This library was built with
an intention to read and write date/timestamps to the database easily
when working with PHP server code. Use cases for this library would
involve reading and saving a timestamp to database in one format, but
displaying it on client or HTML forms in another format. Maintaining a
consistent PHP Date time format for both server side and client side
validation should help in building extensible applications with various
PHP frameworks easily.


%prep
%setup -q -n php-date-formatter-%{version}

# We must minify the JS ourselves.
rm -f js/*.min.js


%build
closure-compiler --compilation_level=SIMPLE_OPTIMIZATIONS js/php-date-formatter.js > js/php-date-formatter.min.js


%install
install -d -m 0755 %{buildroot}/%{_webassetdir}
install -d -m 0755 %{buildroot}/%{_webassetdir}/php-date-formatter
install -d -m 0755 %{buildroot}/%{_webassetdir}/php-date-formatter/js

install -D -p -m 0644 js/*.js %{buildroot}/%{_webassetdir}/php-date-formatter/js


%files
%license LICENSE.md
%doc CHANGE.md
%doc README.md
%doc examples
%{_webassetdir}/php-date-formatter


%changelog
* Wed Feb 01 2017 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.3.4-1
- Initial release.
